{% extends 'x15.jinja2' %}
{% set adb_serial_number = '0d01700a23f80122' %}
{% set device_info = [{'board_id': '0d01700a23f80122'}] %}
{% set fastboot_serial_number = '0d01700a23f80122' %}
{% set power_off_command = '/usr/local/lab-scripts/snmp_pdu_control --hostname pdu20 --command off --port 21' %}

{# We use the ethernet controlled relay to emulate the power button press #}

{% set hard_reset_command = ['/usr/local/lab-scripts/snmp_pdu_control --hostname pdu20 --command reboot --port 21 --delay 20',
'/usr/local/lab-scripts/eth008_control -a 10.0.9.5 -r 8 -s onoff'] %}
{% set connection_list = ['uart0'] %}
{% set connection_commands = {'uart0': 'telnet dispatcher02 7019'} %}
{% set connection_tags = {'uart0': ['primary', 'telnet']} %}
{% set power_on_command = ['/usr/local/lab-scripts/snmp_pdu_control --hostname pdu20 --command on --port 21',
'/usr/local/lab-scripts/eth008_control -a 10.0.9.5 -r 8 -s onoff'] %}
{% set flash_cmds_order = ['update',
'ptable',
'partition',
'hyp',
'modem',
'rpm',
'sbl1',
'sbl2',
'sec',
'tz',
'aboot',
'boot',
'rootfs',
'vendor',
'system',
'cache',
'userdata'] %}

{% set uboot_ipaddr_cmd = "dhcp; dhcp" %}

{% set sync_to_lava = {'device_type': 'x15', 'worker': 'dispatcher02.lavalab', 'tags': ['beagle-x15', 'cambridge-lab', 'hdmi-dongle', 'production'], 'aliases': []} %}
